


## swap row order if forecast month is shown in column 1 before the region:
if(type == 2 || type == 4 || type == 6 || type == 8 || type == 10 || type == 12 || type == 14 || type == 16 || type == 18 || type == 20 || type == 22 || type == 24){
  bias.matrix2 <- corr.matrix2 <- crpss.matrix2 <- rpss.matrix2 <- bias.pv.matrix2 <- corr.pv.matrix2 <- rpss.pv.matrix2 <- crpss.pv.matrix2 <- array(NA, c(n.regions * n.lead.months, n.start.months))
  
  for(rrow in 1:(n.lead.months * n.regions)){
    rrow2 <- 1 + ((rrow-1) %% n.regions) * n.lead.months + floor((rrow-1)/n.regions)
    bias.matrix2[rrow,] <- bias.matrix[rrow2,]
    corr.matrix2[rrow,] <- corr.matrix[rrow2,]
    crpss.matrix2[rrow,] <- crpss.matrix[rrow2,]
    rpss.matrix2[rrow,] <- rpss.matrix[rrow2,]
    
    bias.pv.matrix2[rrow,] <- bias.pv.matrix[rrow2,]
    corr.pv.matrix2[rrow,] <- corr.pv.matrix[rrow2,]
    rpss.pv.matrix2[rrow,] <- rpss.pv.matrix[rrow2,]
    crpss.pv.matrix2[rrow,] <- crpss.pv.matrix[rrow2,]
  }    
  
  bias.matrix <- bias.matrix2
  corr.matrix <- corr.matrix2
  crpss.matrix <- crpss.matrix2
  rpss.matrix <- rpss.matrix2
  
  bias.pv.matrix <- bias.pv.matrix2
  corr.pv.matrix <- corr.pv.matrix2
  rpss.pv.matrix <- rpss.pv.matrix2
  crpss.pv.matrix <- crpss.pv.matrix2
  
  rm(bias.matrix2, corr.matrix2, crpss.matrix2, rpss.matrix2)
  rm(bias.pv.matrix2, corr.pv.matrix2, rpss.pv.matrix, crpss.pv.matrix)
}




## table header:
if(type == 1 || type == 3 || type == 5 || type == 7) my.col.names <- c("Region", "Forecast month", rep(c("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"), 4))
if(type == 2 || type == 4 || type == 6 || type == 8) my.col.names <- c("Forecast month", "Region", rep(c("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"), 4))
if(type == 9 || type == 11 || type == 13 || type == 15 || type == 17 || type == 19) my.col.names <- c("System", "Forecast month", rep(c("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"), 4))
if(type == 10 || type == 12 || type == 14 || type == 16 || type == 18 || type == 20) my.col.names <- c("Forecast month", "System", rep(c("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"), 4))
if(type == 21 || type == 23) my.col.names <- c("Pressure level", "Forecast month", rep(c("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"), 4))
if(type == 22 || type == 24) my.col.names <- c("Forecast month", "Pressure level", rep(c("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"), 4))

